# Uses of Interface
java.lang.classfile.MethodSignature

Packages that use MethodSignature
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of MethodSignature in java.lang.classfile

Methods in java.lang.classfile that return MethodSignature
Modifier and Type
Method
Description
`static MethodSignature`
MethodSignature.`of(Signature result, Signature... arguments)`
Returns a method signature with no type parameter or exception type.
`static MethodSignature`
MethodSignature.`of(MethodTypeDesc methodDescriptor)`
Returns a method signature for a raw method descriptor.
`static MethodSignature`
MethodSignature.`of(List<Signature.TypeParam> typeParameters, List<Signature.ThrowableSig> exceptions, Signature result, Signature... arguments)`
Returns a method signature.
`static MethodSignature`
MethodSignature.`parseFrom(String methodSignature)`
Parses a raw method signature string into a `MethodSignature`.

## Uses of MethodSignature in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return MethodSignature
Modifier and Type
Method
Description
`default MethodSignature`
SignatureAttribute.`asMethodSignature()`
Parse the signature string as a method signature.
Methods in java.lang.classfile.attribute with parameters of type MethodSignature
Modifier and Type
Method
Description
`static SignatureAttribute`
SignatureAttribute.`of(MethodSignature methodSignature)`
Returns a `Signature` attribute for a method.